.custom-header {
    min-height: rem(36);
    position: relative;
    margin-bottom: rem(24);
    padding: rem(12) 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    column-gap: rem(5);

    &:before {
        bottom: 0;
        left: -100px;
        right: -100px;
        height: 1px;
        content: '';
        position: absolute;
        background: #E8E8E8;
    }

    &__backward {
        display: none;
    }

    &__title {
        margin: 0;
    }

    &__text {
        display: none;
    }

    &__close {
        padding: 0;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: rem(24);
        height: rem(24);
        display: block;
        stroke: var(--gray);
    }

    @include media-breakpoint-up(md) {
        padding: 0;
        min-height: rem(40);
        margin-bottom: rem(48);
        align-items: flex-start;
        justify-content: flex-start;

        &__backward {
            top: 1px;
            padding: 0;
            position: relative;
            border: none;
            outline: none;
            cursor: pointer;
            font-size: 0;
            line-height: 0;
            width: rem(36);
            height: rem(36);
            display: block;
            flex-shrink: 0;
            stroke: var(--black);
            background: transparent;
        }

        &:before {
            display: none;
        }

        &__close {
            display: none;
        }

        &__text {
            display: block;
            font-size: rem(20);
            line-height: rem(24);
            margin-top: rem(8);

            a {
                color: var(--black);
                text-decoration: none;

                &:hover {
                    color: var(--black);
                    text-decoration: none;
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {
        min-height: rem(46);

        &__backward {
            top: 5px;
        }
    }
}
